yaml: yaml_event_s Struct Reference

yaml 0.1.6

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
yaml_event_s Struct Reference
Events

The event structure. More...

`#include <yaml.h>`

## Data Fields
yaml_event_type_t | type
| The event type.
union {
struct {
yaml_encoding_t encoding
| The document encoding.
} stream_start
| The stream parameters (for `YAML_STREAM_START_EVENT`).
struct {
yaml_version_directive_t * version_directive
| The version directive.
struct {
yaml_tag_directive_t * start
| The beginning of the tag directives list.
yaml_tag_directive_t * end
| The end of the tag directives list.
} tag_directives
| The list of tag directives.
int implicit
| Is the document indicator implicit?
} document_start
| The document parameters (for `YAML_DOCUMENT_START_EVENT`).
struct {
int implicit
| Is the document end indicator implicit?
} document_end
| The document end parameters (for `YAML_DOCUMENT_END_EVENT`).
struct {
yaml_char_t * anchor
| The anchor.
} alias
| The alias parameters (for `YAML_ALIAS_EVENT`).
struct {
yaml_char_t * anchor
| The anchor.
yaml_char_t * tag
| The tag.
yaml_char_t * value
| The scalar value.
size_t length
| The length of the scalar value.
int plain_implicit
| Is the tag optional for the plain style?
int quoted_implicit
| Is the tag optional for any non-plain style?
yaml_scalar_style_t style
| The scalar style.
} scalar
| The scalar parameters (for `YAML_SCALAR_EVENT`).
struct {
yaml_char_t * anchor
| The anchor.
yaml_char_t * tag
| The tag.
int implicit
| Is the tag optional?
yaml_sequence_style_t style
| The sequence style.
} sequence_start
| The sequence parameters (for `YAML_SEQUENCE_START_EVENT`).
struct {
yaml_char_t * anchor
| The anchor.
yaml_char_t * tag
| The tag.
int implicit
| Is the tag optional?
yaml_mapping_style_t style
| The mapping style.
} mapping_start
| The mapping parameters (for `YAML_MAPPING_START_EVENT`).
} | data
| The event data.
yaml_mark_t | start_mark
| The beginning of the event.
yaml_mark_t | end_mark
| The end of the event.

## Detailed Description

The event structure.

## Field Documentation

yaml_event_type_t yaml_event_s::type

The event type.

yaml_encoding_t yaml_event_s::encoding

The document encoding.

struct { ... } yaml_event_s::stream_start

The stream parameters (for `YAML_STREAM_START_EVENT`).

yaml_version_directive_t* yaml_event_s::version_directive

The version directive.

yaml_tag_directive_t* yaml_event_s::start

The beginning of the tag directives list.

yaml_tag_directive_t* yaml_event_s::end

The end of the tag directives list.

struct { ... } yaml_event_s::tag_directives

The list of tag directives.

int yaml_event_s::implicit

Is the document indicator implicit?

Is the tag optional?

Is the document end indicator implicit?

struct { ... } yaml_event_s::document_start

The document parameters (for `YAML_DOCUMENT_START_EVENT`).

struct { ... } yaml_event_s::document_end

The document end parameters (for `YAML_DOCUMENT_END_EVENT`).

yaml_char_t* yaml_event_s::anchor

The anchor.

struct { ... } yaml_event_s::alias

The alias parameters (for `YAML_ALIAS_EVENT`).

yaml_char_t* yaml_event_s::tag

The tag.

yaml_char_t* yaml_event_s::value

The scalar value.

size_t yaml_event_s::length

The length of the scalar value.

yaml_scalar_style_t yaml_event_s::style

The scalar style.

struct { ... } yaml_event_s::scalar

The scalar parameters (for `YAML_SCALAR_EVENT`).

yaml_sequence_style_t yaml_event_s::style

The sequence style.

struct { ... } yaml_event_s::sequence_start

The sequence parameters (for `YAML_SEQUENCE_START_EVENT`).

yaml_mapping_style_t yaml_event_s::style

The mapping style.

struct { ... } yaml_event_s::mapping_start

The mapping parameters (for `YAML_MAPPING_START_EVENT`).

union { ... } yaml_event_s::data

The event data.

yaml_mark_t yaml_event_s::start_mark

The beginning of the event.

yaml_mark_t yaml_event_s::end_mark

The end of the event.

The documentation for this struct was generated from the following file:

- yaml.h